Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class Instantiation

    java.lang.Object
      de.grogra.rgg.model.Instantiation

    public class Instantiation

extends java.lang.Object

Field Summary
`static Instantiator` | `INSTANTIATOR`

Constructor Summary
`Instantiation()`

Method Summary
`void` | `clear()`
`int` | `getDepth()`
`GraphState` | `getGraphState()`
`void` | `initialize(ArrayPath path, Visitor visitor)`
`void` | `instantiate(Node node)`
`Instantiation` | `operator$space(Node node)`
`Instantiation` | `producer$begin()`
`void` | `producer$end()`
`Instantiation` | `producer$pop(java.lang.Object oldProducer)`
`Instantiation` | `producer$push()`
`static Node` | `toNode(BSplineCurve value)`
`static Node` | `toNode(BSplineSurface value)`
`static Node` | `toNode(Reference value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANTIATOR

    public static final Instantiator INSTANTIATOR

Constructor Detail

### Instantiation

    public Instantiation()

Method Detail

### clear

    public void clear()

### getDepth

    public int getDepth()

### getGraphState

    public GraphState getGraphState()

### initialize

    public void initialize(ArrayPath path,
                           Visitor visitor)

### instantiate

    public void instantiate(Node node)

### operator$space

    public Instantiation operator$space(Node node)

### producer$begin

    public Instantiation producer$begin()

### producer$end

    public void producer$end()

### producer$pop

    public Instantiation producer$pop(java.lang.Object oldProducer)

### producer$push

    public Instantiation producer$push()

### toNode

    public static Node toNode(BSplineCurve value)

### toNode

    public static Node toNode(BSplineSurface value)

### toNode

    public static Node toNode(Reference value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD